      subroutine intert (ipr,icomp)                                     INTE001
c ----------------------------------------------------------------------INTE002
c     interactive input header crystallographic data - generic          INTE003
c ----------------------------------------------------------------------INTE004
c     This program module is part of the PhysiSoft X-ray Library        INTE005
c     and may not be sold or reproduced for commercial purposes.        INTE006
c     Although it has been tested carefully, there is no warranty       INTE007
c     regarding accuracy or freedom from side-effects.                  INTE008
c                   (C) 1986-1990 Bernhard Rupp                         INTE009
c ----------------------------------------------------------------------INTE010
      character lv,icomp*4                                              INTE011
      if (icomp.eq.'IBM ') then                                         INTE012
         lv=char(179)                                                   INTE013
      else                                                              INTE014
         lv='|'                                                         INTE015
      end if                                                            INTE016
                                                                        INTE017
      call frames (ipr,1,icomp)                                         INTE018
      write(ipr,'(1x,a1,24x,a,23x,a1)')                                 INTE019
     & lv,' Interactive Input Generation ',lv                           INTE020
      call frames (ipr,2,icomp)                                         INTE021
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'In order to calculate coord',INTE022
     & 'ination shells, a minimum of crystallographic',lv               INTE023
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'input and few control param',INTE024
     & 'eters are required. The crystallographic data',lv               INTE025
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'are (A) the space group, (B',INTE026
     & ') the cell constants, and (C) the coordinates',lv               INTE027
      write(ipr,'(1x,a1,1x,a,a,1x,a1)')lv,'of nonequivalent atoms in t',INTE028
     & 'he unit cell. This information is usually found ',lv            INTE029
      write(ipr,'(1x,a1,1x,a,a,2x,a1)')lv,'in books like Wyckoff and P',INTE030
     & 'earson which follow the the IUC standards.     ',lv             INTE031
      call frames (ipr,3,icomp)                                         INTE032
      return                                                            INTE033
      end                                                               INTE034
